%define		rubyabi		1.8
%define		modname		hpricot

Name:		ruby-%{modname}
Version:	0.6
Release:	%mkrel 2
Summary:	A Fast, Enjoyable HTML Parser for Ruby
Group:		Development/Ruby
License:	MIT
URL:		http://code.whytheluckystiff.net/hpricot/
Source0:	http://code.whytheluckystiff.net/dist/%{modname}-%{version}.tgz
Patch0:		hpricot-0.6-build.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:	ragel
BuildRequires:	ruby-devel
BuildRequires:	ruby-rake
BuildRequires:	ruby-RubyGems

%description
Hpricot is a very flexible HTML parser, based on Tanaka Akira's 
HTree and John Resig's JQuery, but with the scanner recoded in C 
(using Ragel for scanning.)

%prep
%setup -q -n %{modname}-%{version}
%patch0 -p0 -b .build

%build
# To make debuginfo work correctly...
pushd ext/hpricot_scan/
mkdir -p ext/hpricot_scan/
cp -p *.c *.rl ext/hpricot_scan/
popd

export CFLAGS="$RPM_OPT_FLAGS"
rake -v compile

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{ruby_vendorlibdir}/
mkdir -p $RPM_BUILD_ROOT%{ruby_vendorarchdir}/

cp -pr lib/*/%{modname}*.so $RPM_BUILD_ROOT%{ruby_vendorarchdir}/
cp -pr lib/%{modname}/ lib/%{modname}.rb \
	$RPM_BUILD_ROOT%{ruby_vendorlibdir}/

for f in `find $RPM_BUILD_ROOT%{ruby_vendorlibdir}/ -name \*.rb | sort` ; do
	sed -i -e '/^#!/d' $f
done

%check
rake test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CHANGELOG COPYING README

%{ruby_vendorarchdir}/%{modname}*.so
%{ruby_vendorlibdir}/%{modname}.rb
%{ruby_vendorlibdir}/%{modname}/



%changelog
* Tue Sep 08 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.6-2mdv2010.0
+ Revision: 433517
- rebuild

* Sat Aug 02 2008 Pascal Terjan <pterjan@mandriva.org> 0.6-1mdv2009.0
+ Revision: 261127
- Adapt for Mandriva


* Wed Feb 13 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.6-2
- Rebuild against gcc43
- Patch for Rakefile to skip unneeded commands call for ragel 6.0+
  (bug 432186, Thanks Jeremy Hinegardner !!)

* Tue Nov  6 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.6-1
- 0.6

* Sat Nov  3 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.5.150-2
- Use rubygem(rake) for rebuild

* Fri Jun  8 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.5.150-1
- Initial packaging
